// creator  : weidu.exe (version 23100)
// argument : MURDBEGG.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MURDBEGG~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
Global("TalkedToInspector","GLOBAL",1)
!Global("TannerExposed","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #26109 /* ~Who's dat? Who's pokin' old Rampah? What sa want? Get orf! Aegisfield send you? I ain't stole nothing.~ */
  IF ~~ THEN REPLY #26114 /* ~Easy, oldtimer. I just want to ask you something about the local murders.~ */ GOTO 1
  IF ~~ THEN REPLY #26115 /* ~Shut up and listen! I want to know what you know about the murders!~ */ GOTO 1
  IF ~~ THEN REPLY #26116 /* ~You need a few coins? Maybe I could bend your ear for a few gold?~ */ DO ~TakePartyGold(3)
~ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #26117 /* ~I ain't done it! Wasn't me! I swears. You ain't takin' me in to no guardhouse! Walls are bad!~ */
  IF ~~ THEN REPLY #26118 /* ~I'm not from the guards. I just want to ask you a few things.~ */ GOTO 7
  IF ~~ THEN REPLY #26119 /* ~I am no guard, but you'll still do what I say! Tell me what you know!~ */ GOTO 7
END

IF ~~ THEN BEGIN 2 // from: 0.2
  SAY #26120 /* ~You wants to talk for golds? Then you go away? Ok, you speak and Rampah will listen, but don't you try no silly business!~ */
  IF ~~ THEN REPLY #26121 /* ~Agreed. So, tell me what you know of the murders.~ */ GOTO 3
  IF ~~ THEN REPLY #26122 /* ~Don't backtalk to me. Just tell me what you know.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 7.0 2.1 2.0
  SAY #26123 /* ~Nothin'. Not a thing.~ */
  IF ~~ THEN REPLY #26124 /* ~Nothing? Not a thing? The guard thought you might.~ */ GOTO 4
  IF ~~ THEN REPLY #26125 /* ~Nothing? Don't play games with me!~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.1 3.0
  SAY #26126 /* ~Don't know nothing. Guards kept us away. They know all I know. That's it.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #26127 /* ~But... hehehh... but...~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #26128 /* ~But I got something they don't. I got what they don't. They be blind, but I saw it, and now it's mine.~ */
  IF ~~ THEN REPLY #26131 /* ~What did you get, Rampah?  What did you find?~ */ GOTO 8
  IF ~~ THEN REPLY #26132 /* ~What is yours? I have no time for this! Tell me now!~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 1.1 1.0
  SAY #26129 /* ~Not from the guards? Ok, then I talk to you. They treat me bad sometimes, but I just wants to sleep. What you want?~ */
  IF ~~ THEN REPLY #26130 /* ~Tell me what you know of the murders here.~ */ GOTO 3
END

IF ~~ THEN BEGIN 8 // from: 6.1 6.0
  SAY #26133 /* ~Not telling. You want? You gotta buy. I found it, right near a body. It's mine, so you gotta pay. You pay... a hundred gold. Yeah, a hundred.~ */
  IF ~PartyGoldGT(99)
~ THEN REPLY #26134 /* ~Alright, here is your hundred. Now, what is it that you found?~ */ DO ~GiveItem("MISC5G",LastTalkedToBy)
TakePartyGold(100)
~ GOTO 12
  IF ~~ THEN REPLY #26135 /* ~I do not have that much gold.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.1
  SAY #26136 /* ~No? No! Ok, then you pay half. Give me... forty gold!~ */
  IF ~PartyGoldGT(39)
~ THEN REPLY #26137 /* ~Alright, here is your 40 gold. What is it you found?~ */ DO ~GiveItem("MISC5G",LastTalkedToBy)
TakePartyGold(40)
~ GOTO 12
  IF ~~ THEN REPLY #26138 /* ~I do not have that much.~ */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.1
  SAY #26139 /* ~Then you gives me...5 gold. Yeah, now you gives me five gold.~ */
  IF ~PartyGoldGT(4)
~ THEN REPLY #26140 /* ~Alright, here is your 5 gold. What did you find?~ */ DO ~GiveItem("MISC5G",LastTalkedToBy)
TakePartyGold(5)
~ GOTO 12
  IF ~~ THEN REPLY #26141 /* ~I do not have that much.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.1
  SAY #26142 /* ~What? Then you just takes it and sit down, because you poorer-er than me! You got food? Rampah give you rat on a stick if you need.~ */
  IF ~~ THEN REPLY #26143 /* ~Thank you, no. What is this thing you found?~ */ DO ~GiveItem("MISC5G",LastTalkedToBy)
~ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0 10.0 9.0 8.0
  SAY #26144 /* ~IT'S NOT HUMAN FLESH! Don't you think it is, because it's NOT! It's leather, but it's not human flesh, I tell you! Them bodies be flayed and have none, but this ain't theirs!~ */
  IF ~~ THEN REPLY #26145 /* ~Thank you, Rampah, I'll be going now.~ */ GOTO 13
  IF ~~ THEN REPLY #26146 /* ~Yes, well, just you be thankful this is all I wanted. Get lost!~ */ GOTO 14
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #26147 /* ~You good and go. Take that leather, because it's not human flesh! That is different! You go and dance now! Talk to the seller that buys!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #34265 /* ~Solve the 'skinner' murders in the Bridge District.

I was able to get a piece of strange leather from the beggar, Rampah, who claimed that it was not human flesh.  He found it near one of the victims, however, and suggested that I speak to the 'seller that buys', which I assume to mean a merchant, to find out exactly what it is.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 12.1
  SAY #26148 /* ~You got what you want so go! I don't need, because it's not human flesh! That is different! Go and dance where you will! Talk to the seller that buys!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #34265 /* ~Solve the 'skinner' murders in the Bridge District.

I was able to get a piece of strange leather from the beggar, Rampah, who claimed that it was not human flesh.  He found it near one of the victims, however, and suggested that I speak to the 'seller that buys', which I assume to mean a merchant, to find out exactly what it is.~ */ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 16 even though they appear after this state */
~True()
~ THEN BEGIN 15 // from:
  SAY #26149 /* ~Rampah dance! Dance, Rampah, dance! Dance in the flesh! Huuuuluckaluckakucka LAYYY!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Global("TalkedToInspector","GLOBAL",0)
~ THEN BEGIN 16 // from:
  SAY #26431 /* ~Rampah dance! Rampah no be disturbed. You get going. Talk business when you have important!~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
~ EXIT
END
